#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Linux
%define	pnam	Inotify2
Summary:	Linux::Inotify2 - scalable directory/file change notification
#Summary(pl.UTF-8):
Name:		perl-Linux-Inotify2
Version:	1.22
Release:	12
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Linux/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bc0a86f04476f9e0aaab026b8081f097
URL:		http://search.cpan.org/dist/Linux-Inotify2/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-common-sense
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements an interface to the Linux 2.6.13 and later
Inotify file/directory change notification sytem.

It has a number of advantages over the Linux::Inotify module:

   - it is portable (Linux::Inotify only works on x86)
   - the equivalent of fullname works correctly
   - it is better documented
   - it has callback-style interface, which is better suited for
     integration.

# %description -l pl.UTF-8

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Linux
%{perl_vendorarch}/Linux/*.pm
%dir %{perl_vendorarch}/auto/Linux
%dir %{perl_vendorarch}/auto/Linux/Inotify2
%attr(755,root,root) %{perl_vendorarch}/auto/Linux/Inotify2/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue May 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Linux-Inotify2.git;a=log;h=master

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 86808e0
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7c9aef6
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> f24d438
- rebuild with perl 5.30.0
- release 11 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 862331e
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 452af23
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f79e861
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 928f281
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 617c5b3
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> cda2f1b
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> c000bc5
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bf45ad5
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 350a05a
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> adcffb8
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 6f29b1f
- up to 1.22

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a129a1
- release 2

* Wed Oct 21 2009 amateja <amateja@pld-linux.org> 97eeaca
- added BR: perl-common-sense

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> d4bd6b7
- updated to 1.21

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 316a8a3
- added missing %dirs in %files section

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 0cc9589
- initial

